Bug 30970 - holdst columns don't match actual columns in 'Holds waiting'
Summary: holdst columns don't match actual columns in 'Holds waiting'
Status: Needs documenting
Alias: None
Product: Koha
Classification: Unclassified
Component: Staff Client (show other bugs)
Version: 21.11
Hardware: All All
: P5 - low normal (vote)
Assignee: Martin Renvoize
QA Contact: Testopia
URL:
Keywords:
Depends on: 23678
Blocks:
  Show dependency treegraph
 
Reported: 2022-06-15 16:41 UTC by Sara Brown
Modified: 2022-07-23 04:27 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
21.11.11


Attachments
Bug 30970: Add checkbox column to holdst and holdso (1.38 KB, patch)
2022-07-12 10:34 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 30970: Add checkbox column to holdst and holdso (1.43 KB, patch)
2022-07-12 12:49 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 30970: Add checkbox column to holdst and holdso (1.42 KB, patch)
2022-07-12 13:04 UTC, David Nind
Details | Diff | Splinter Review
Bug 30970: Add checkbox column to holdst and holdso (1.53 KB, patch)
2022-07-16 18:41 UTC, Victor Grousset/tuxayo
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Sara Brown 2022-06-15 16:41:59 UTC
The columns selected to hide by default in 'Table settings' for holdst aren't lining up with the actual columns hidden. For example:

-In holdst, select columns home_library and current_location to be hidden by default
-In the 'Holds waiting' table, see that Patron and Home library are hidden by default. Current location is showing by default.
-To hide current_location and home_library by default, I need to select shelving_location and current_location in 'Table settings'
Comment 1 Jonathan Druart 2022-06-16 09:50:29 UTC
Looks ok for me on master.
Comment 2 Katrin Fischer 2022-06-17 22:50:38 UTC
Same for me, I think the issue is not in master. Maybe only in 21.11 and other older versions?
Comment 3 Martin Renvoize 2022-07-12 10:34:12 UTC
Created attachment 137618 [details] [review]
Bug 30970: Add checkbox column to holdst and holdso

This patch adds the missing checkbox column to the columns_settings
configuration file.

The field was added unconditionally to the tables in bug 23678 and then
consequently fixed in master as part of bug 27868 which being an
ehancement wont be backported.  This patch simply lifts the relevant
part of the fix from bug 27868 to apply just to the 21.11.x branch.
Comment 4 Martin Renvoize 2022-07-12 12:49:38 UTC
Created attachment 137625 [details] [review]
Bug 30970: Add checkbox column to holdst and holdso

This patch adds the missing checkbox column to the columns_settings
configuration file.

The field was added unconditionally to the tables in bug 23678 and then
consequently fixed in master as part of bug 27868 which being an
ehancement wont be backported.  This patch simply lifts the relevant
part of the fix from bug 27868 to apply just to the 21.11.x branch.

Signed-off-by: Lucy Harrison <l.m.harrison@lboro.ac.uk>
Comment 5 Martin Renvoize 2022-07-12 12:50:19 UTC
Thankyou for the quick signoff Lucy, I've added your signature to the patch itself now too for our history.
Comment 6 David Nind 2022-07-12 13:04:27 UTC
Created attachment 137626 [details] [review]
Bug 30970: Add checkbox column to holdst and holdso

This patch adds the missing checkbox column to the columns_settings
configuration file.

The field was added unconditionally to the tables in bug 23678 and then
consequently fixed in master as part of bug 27868 which being an
ehancement wont be backported.  This patch simply lifts the relevant
part of the fix from bug 27868 to apply just to the 21.11.x branch.

Signed-off-by: David Nind <david@davidnind.com>
Comment 7 Victor Grousset/tuxayo 2022-07-16 18:41:04 UTC
Created attachment 137796 [details] [review]
Bug 30970: Add checkbox column to holdst and holdso

This patch adds the missing checkbox column to the columns_settings
configuration file.

The field was added unconditionally to the tables in bug 23678 and then
consequently fixed in master as part of bug 27868 which being an
ehancement wont be backported.  This patch simply lifts the relevant
part of the fix from bug 27868 to apply just to the 21.11.x branch.

Signed-off-by: Lucy Harrison <l.m.harrison@lboro.ac.uk>
Signed-off-by: David Nind <david@davidnind.com>
Signed-off-by: Victor Grousset/tuxayo <victor@tuxayo.net>
Comment 8 Victor Grousset/tuxayo 2022-07-16 18:41:42 UTC
Works (I'm taking the two SO to not have to get a 21.11 env), qa script happy, code looks good, same as on master, passing QA :)
Comment 9 Arthur Suzuki 2022-07-21 09:27:52 UTC
pushed to 21.11.x for 21.11.11, thx!
Comment 10 Victor Grousset/tuxayo 2022-07-23 04:27:06 UTC
Not backported to oldoldstable (21.05.x). Feel free to ask if it's needed.